gnutls_pkcs11_set_token_function(3)

NAME
gnutls_pkcs11_set_token_function - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

void gnutls_pkcs11_set_token_function(gnutls_pkcs11_token_callback_t fn, void * userdata);

ARGUMENTS

gnutls_pkcs11_token_callback_t fn
    The token callback

void * userdata
    data to be supplied to callback

DESCRIPTION
This function will set a callback function to be used when a token needs to be inserted to continue PKCS 11 operations.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/